## org.gnu.gtk.event
Interface DragSourceListener

public interface DragSourceListener

Method Summary
`void` `deleteDragData(Widget widget, DragContext dc)`
`void` `dragBegin(Widget widget, DragContext dc)`
`void` `dragDrop(Widget widget, DragContext dc, int x, int y)`
`void` `dragEnd(Widget widget, DragContext dc)`
`void` `dragMotion(Widget widget, DragContext dc, int x, int y)`
`void` `getDragData(Widget widget, DragContext dc, SelectionData sd, int info)`

Method Detail

### dragBegin

    public void dragBegin(Widget widget,
                          DragContext dc)

### dragMotion

    public void dragMotion(Widget widget,
                           DragContext dc,
                           int x,
                           int y)

### getDragData

    public void getDragData(Widget widget,
                            DragContext dc,
                            SelectionData sd,
                            int info)

### deleteDragData

    public void deleteDragData(Widget widget,
                               DragContext dc)

### dragDrop

    public void dragDrop(Widget widget,
                         DragContext dc,
                         int x,
                         int y)

### dragEnd

    public void dragEnd(Widget widget,
                        DragContext dc)